// DSS3MView.h : interface of the CDSS3MView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DSS3MVIEW_H__4C0D8F30_79A8_11D3_9848_FD35403E9742__INCLUDED_)
#define AFX_DSS3MVIEW_H__4C0D8F30_79A8_11D3_9848_FD35403E9742__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif

//

#define   WM_UPDATE_CTRLS     (WM_USER+1)

class CDSS3MDoc;

//

class CDSS3MView : public CFormView
{
protected: // create from serialization only
	CDSS3MView();
	DECLARE_DYNCREATE(CDSS3MView)

public:
	//{{AFX_DATA(CDSS3MView)
	enum { IDD = IDD_SONG_FORM };
	CSliderCtrl	m_sliOrder;
	CSpinButtonCtrl	m_spinVolume;
	CButton	m_btnPause;
	CString	m_strSongTitre;
	CString	m_strSongSize;
	CString	m_strSongChannels;
	CString	m_strSongStereo;
	CString	m_strSongVolume;
	CString	m_strSongOrder;
	CString	m_strSongRow;
	CString	m_strSongSpeed;
	CString	m_strSongSynchro;
	CString	m_strSongTempo;
	CString	m_strSongOrderTot;
	CString	m_strSongTime;
	//}}AFX_DATA
  CCheckListBox m_listChannels;

// Attributes
public:
	CDSS3MDoc* GetDocument();

// Operations
public:

//

  static DWORD      m_dwNbView;                             // nb views created

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDSS3MView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	virtual void OnActivateView(BOOL bActivate, CView* pActivateView, CView* pDeactiveView);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CDSS3MView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CDSS3MView)
  afx_msg LONG OnUpdateCtrls(UINT wParam,LONG lParam);
	afx_msg void OnSongRestart();
	afx_msg void OnSongPause();
	afx_msg void OnDeltaposVolumespin(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSongSound();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

//

public:
};

#ifndef _DEBUG  // debug version in DSS3MView.cpp
inline CDSS3MDoc* CDSS3MView::GetDocument()
   { return (CDSS3MDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DSS3MVIEW_H__4C0D8F30_79A8_11D3_9848_FD35403E9742__INCLUDED_)
