// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__4C0D8F2A_79A8_11D3_9848_FD35403E9742__INCLUDED_)
#define AFX_MAINFRM_H__4C0D8F2A_79A8_11D3_9848_FD35403E9742__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

//

#include "MyDropFile.h"

void  CALLBACK TimerFunc(UINT uTimerID,UINT uMsg,DWORD dwUser,DWORD dw1,DWORD dw2);

class CDirectSound;

//

class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();

// Attributes
public:

  CMyDropFile m_DropTarget;                                 // drag & drop

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

//

  HRESULT                     hrPlay  (const DWORD dwSecondKo=64);
  HRESULT                     hrStop  (void);
  HRESULT                     hrReinit(void);

  HRESULT                     hrPlayDSound(void);
  HRESULT                     hrStopDSound(void);

  MMRESULT                    m_mmTimer;
  DWORD                       m_dwPeriod;
  CDirectSound*               m_lpDSound;
  bool                        m_boForceSecond;

//

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnNextorder();
	afx_msg void OnUpdateNextorder(CCmdUI* pCmdUI);
	afx_msg void OnClearbuffer();
	afx_msg void OnForcesecond();
	afx_msg void OnUpdateForcesecond(CCmdUI* pCmdUI);
	afx_msg void OnSecondsize();
	afx_msg void OnTestsound();
	afx_msg void OnActivateApp(BOOL bActive, HTASK hTask);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__4C0D8F2A_79A8_11D3_9848_FD35403E9742__INCLUDED_)
