/**********************************************************************************************************************/
/*                                                GLOBAL TYPES & DEFINITIONS                                          */
/* 18/09/97, M : creation of the file                                                                                 */
/* 27/01/98, M : new version                                                                                          */
/* 14/12/98, M : BOOLEAN is now bool, _OFF_/_ON_ suppressed                                                           */
/**********************************************************************************************************************/

#ifndef   _GLOBDEF_H_
#define   _GLOBDEF_H_

/************************************************ TYPEDEF & STRUCT ****************************************************/

#ifndef   BYTE
typedef   unsigned char       BYTE,     *LPBYTE;            //  8 bits
#endif
#ifndef   WORD
typedef   unsigned short      WORD,     *LPWORD;            // 16 bits
#endif
#ifndef   DWORD
typedef   unsigned long       DWORD,    *LPDWORD;           // 32 bits
#endif
#ifndef   HRESULT
typedef   long                HRESULT;
#endif
#ifndef   UINT
typedef   unsigned int        UINT;
#endif

typedef   signed   char       SBYTE,    *LPSBYTE;           //  8 bits
typedef   signed   short      SWORD,    *LPSWORD;           // 16 bits
typedef   signed   long       SDWORD,   *LPSDWORD;          // 32 bits

typedef	  void     (*LPFCTVSZ)(const char*);                // void function pointer

#ifndef   NULL
#define   NULL     0
#endif

/**********************************************************************************************************************/

#ifndef   _IMPORT_EXPORT_
#define   _IMPORT_EXPORT_    _declspec(dllimport)           // DLL global vars & functions
#endif

#endif
