/**********************************************************************************************************************/
/*                                                DEBUG UTILITIES                                                     */
/**********************************************************************************************************************/

#ifndef   _DEBUG_H_
#define   _DEBUG_H_

/************************************************ MACROS **************************************************************/

#define   _DDIV0_(fValue)                                   // test divisor
#define   _DINDEX_(bIndex,bLimit)                           // test array index (BYTE/WORD/DWORD)
#define   _DINDEX2_(bIndex,bLimit)                          // test array index (BYTE/WORD/DWORD)
#define   _DPTR_(lpPtr)                                     // test pointer

#define   _DTRC_(osStream)                                  // trace   message
#define   _DLOG_(osStream)                                  // log     message
#define   _DWAR_(osStream)                                  // warning message
#define   _DERR_(osStream)                                  // error   message

#define   _DTRCINC_(osStream)                               // trace indent +
#define   _DTRCDEC_(osStream)                               // trace indent -
#define   _DTRCDEF_(osStream)
#define   _DTRCRET_(boVal,osStream1,osStream2)    { if(!(boVal)) return false; }
#define   _DTRCRETV_(boVal,osStream1,osStream2)   { if(!(boVal)) return;       }
#define   _DWARRET_(boVal,osStream)               { if(!(boVal)) return false; }
#define   _DWARRETV_(boVal,osStream)              { if(!(boVal)) return;       }

#define   _DTRCWND_(osStream)
#define   _DWND_(osStream)

/************************************************ TYPEDEF & STRUCT ****************************************************/

typedef   signed    char      SBYTE ,   *LPSBYTE;           //  8 bits
typedef   signed    short     SWORD ,   *LPSWORD;           // 16 bits
typedef   signed    long      SDWORD,   *LPSDWORD;          // 32 bits

/**********************************************************************************************************************/

#endif
