/**********************************************************************************************************************/
/*                                                DIRECTSOUND ERRORS                                                  */
/* 10/06/00, M : creation of the file                                                                                 */
/**********************************************************************************************************************/

#ifndef   _DIRECTSOUND_ERR_H_
#define   _DIRECTSOUND_ERR_H_

/************************************************ INCLUDE *************************************************************/

#include  "ErrorString.h"

/************************************************ DEFINE **************************************************************/

#define   _S3M_DSOUND_ERR_              (_MYTHOS_+0x020100)           // lib 0x02, file 0x01

enum      S3MDSOUND_ERRORS
          {
            _S3MERR_NODSOUND_         = _S3M_DSOUND_ERR_,             // no DSound object
            _S3MERR_COOPLEVEL_,                                       // cooperative level failed
            _S3MERR_DSCAPS_,                                          // DSound GetCaps
            _S3MERR_PRIMARY_,                                         // obtain primary/secondary buffer
            _S3MERR_NOPRIMARY_,                                       // no primary buffer
            _S3MERR_SETFORMAT_,                                       // bad format
            _S3MERR_CLEARBUFFER_,                                     // lost buffer
            _S3MERR_DSPLAY_,                                          // DS play error
            _S3MERR_DSSTOP_,                                          // DS stop error
          };

/**********************************************************************************************************************/

#endif
