/**********************************************************************************************************************/
/*                                                ERROR IDs                                                           */
/* 09/06/00, M : creation of the file                                                                                 */
/*               not used anywhere, just to summarize                                                                 */
/**********************************************************************************************************************/

#ifndef   _ERRORS_ALL_H_
#define   _ERRORS_ALL_H_

/************************************************ DEFINE **************************************************************/

#define   _OK_                          0x0                           // same as HRESULT S_OK
#define   _HR_FAILED_                   0x80000000

// coders

#define   _GLOBAL_                      (0x00000000+_HR_FAILED_)
#define   _MYTHOS_                      (0x01000000+_HR_FAILED_)      // coder=0x01

//
// Mythos'libs
//

#define   _MMATH_                       (_MYTHOS_+0x010000)           // lib=0x01
#define   _MS3M_                        (_MYTHOS_+0x020000)
#define   _MGDB_                        (_MYTHOS_+0x030000)
#define   _MMEM_                        (_MYTHOS_+0x040000)
#define   _MRENDER_                     (_MYTHOS_+0x050000)
#define   _MDX7_                        (_MYTHOS_+0x060000)
#define   _MGL_                         (_MYTHOS_+0x070000)
#define   _MMESH_                       (_MYTHOS_+0x080000)
#define   _M3DOBJ_                      (_MYTHOS_+0x090000)
#define   _MGRAPH_                      (_MYTHOS_+0x0a0000)
#define   _MDEMO_                       (_MYTHOS_+0x0b0000)
#define   _MBV_                         (_MYTHOS_+0x0c0000)
#define   _MMP3_                        (_MYTHOS_+0x0d0000)
#define   _MDX8_                        (_MYTHOS_+0x0e0000)

// math files

// S3M files

#define   _S3M_DSOUND_ERR_              (_MYTHOS_+0x020100)
#define   _S3M_MIXER_ERR_               (_MYTHOS_+0x020200)
#define   _S3M_PLAYER_ERR_              (_MYTHOS_+0x020300)
#define   _S3M_SNDTRACK_ERR_            (_MYTHOS_+0x020400)

// GDB files

#define   _CAT_ERR_                     (_MYTHOS_+0x030100)
#define   _OBJGDB_ERR_                  (_MYTHOS_+0x030200)

// mem files

#define   _MEMMGR_ERR_                  (_MYTHOS_+0x040100)
#define   _MEMPOOL_ERR_                 (_MYTHOS_+0x040200)

// renderer files

#define   _FONTS_ERR_                   (_MYTHOS_+0x050100)
#define   _SCRPS_ERR_                   (_MYTHOS_+0x050200)
#define   _TEXIO_ERR_                   (_MYTHOS_+0x050300)
#define   _TEX_ERR_                     (_MYTHOS_+0x050400)

// DX7 files

#define   _DX7_ERR_                     (_MYTHOS_+0x060100)

// GL files

#define   _GL_ERR_                      (_MYTHOS_+0x070100)

// mesh files

#define   _MESH_ERR_                    (_MYTHOS_+0x080100)
#define   _MESHBASE_ERR_                (_MYTHOS_+0x080200)
#define   _REF_ERR_                     (_MYTHOS_+0x080300)
#define   _MESHIO_ERR_                  (_MYTHOS_+0x080400)

// 3D files

// graph files

// demo files

#define   _DEMO_ERR_                    (_MYTHOS_+0x0b0100)

// BV files

#define   _BVMGR_ERR_                   (_MYTHOS_+0x0c0100)

// MP3 files

#define   _MP3_PLAYER_ERR_              (_MYTHOS_+0x0d0100)

// DX8 files

#define   _DX8_ERR_                     (_MYTHOS_+0x0e0100)

/**********************************************************************************************************************/

#endif
