/**********************************************************************************************************************/
/*                                                GLOBAL ERRORS                                                       */
/* 10/06/00, M : creation of the file                                                                                 */
/**********************************************************************************************************************/

/************************************************ INCLUDE *************************************************************/

#include  "stdafx.h"
#include  "Global_err.h"

/************************************************ STATIC MEMBERS ******************************************************/

// memory

_ERROR_STRING_(_GLOBERR_OUTOFMEMORY_,             "GLOB: new failed")

// file

_ERROR_STRING_(_GLOBERR_FOPEN_,                   "GLOB: fopen  failed (often file not found)")
_ERROR_STRING_(_GLOBERR_FSEEK_,                   "GLOB: fseek  failed")
_ERROR_STRING_(_GLOBERR_FTELL_,                   "GLOB: ftell  failed")
_ERROR_STRING_(_GLOBERR_FREAD_,                   "GLOB: fread  failed")
_ERROR_STRING_(_GLOBERR_FWRITE_,                  "GLOB: fwrite failed")
_ERROR_STRING_(_GLOBERR_ENDOFFILE_,               "GLOB: end of file reached")
_ERROR_STRING_(_GLOBERR_DIRNOTFOUND_,             "GLOB: directory not found")

//

_ERROR_STRING_(_GLOBERR_BADPARAM_,                "GLOB: bad parameter passed to function")
_ERROR_STRING_(_GLOBERR_PREVIOUS_ERROR_,          "GLOB: previous error not cleared")
_ERROR_STRING_(_GLOBERR_NOTIMPLEMENTED_,          "GLOB: unsupported feature")
_ERROR_STRING_(_GLOBERR_MISSINGDATA_,             "GLOB: impossible, some data is missing")
_ERROR_STRING_(_GLOBERR_BADCHUNK_,                "GLOB: not the expected chunk")
_ERROR_STRING_(_GLOBERR_UNKNOWNCOMPRESSION_,      "GLOB: unknown compression method")
