/**********************************************************************************************************************/
/*                                                INSTRUMENT CLASS                                                    */
/* 03/10/99, M : creation of the file                                                                                 */
/*               1 instrument = 1 or more samples                                                                     */
/**********************************************************************************************************************/

#if !defined(AFX_INSTRUMENT_H__4C0D8F3E_79A8_11D3_9848_FD35403E9742__INCLUDED_)
#define AFX_INSTRUMENT_H__4C0D8F3E_79A8_11D3_9848_FD35403E9742__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif

/************************************************ INCLUDE *************************************************************/

/************************************************ DEFINE **************************************************************/

#define   _MAX_SAMPLES_                 1                   // maximum number of samples

/************************************************ TYPEDEF & STRUCT ****************************************************/

/************************************************ CLASSES *************************************************************/

class     CSample;

/**********************************************************************************************************************/
/*                                                Instrument                                                          */
/**********************************************************************************************************************/

class     CInstrument
  {
// public methods

  public:

    // constructors & destructor

	  CInstrument                         (void);
    CInstrument                         (const CSample* lpSample);
	 ~CInstrument                         (void);

    void            vInit               (void);
    void            vClean              (void);

    // select sample

    CSample*        lpSelectSample      (const BYTE bNote) const;

// protected members

  protected:

    CSample*        m_lpSample[_MAX_SAMPLES_];              // samples addresses
  };

/************************************************ INLINE **************************************************************/

/**********************************************************************************************************************/

#endif // !defined(AFX_INSTRUMENT_H__4C0D8F3E_79A8_11D3_9848_FD35403E9742__INCLUDED_)
