// MyDropFile.cpp: implementation of the CMyDropFile class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "DSS3M.h"
#include "MyDropFile.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////

DROPEFFECT CMyDropFile::OnDragEnter( CWnd* pWnd, COleDataObject* pDataObject, DWORD dwKeyState, CPoint point )
  {
  return DROPEFFECT_COPY;
  }

//

void CMyDropFile::OnDragLeave( CWnd* pWnd)
  {
  }

//

DROPEFFECT CMyDropFile::OnDragOver( CWnd* pWnd, COleDataObject* pDataObject, DWORD dwKeyState, CPoint point )
  {
  return DROPEFFECT_COPY;
  }

//

BOOL CMyDropFile::OnDrop( CWnd* pWnd, COleDataObject* pDataObject, DROPEFFECT dropEffect, CPoint point )
  {
  STGMEDIUM st;
  pDataObject->GetData(CF_HDROP,&st,NULL);

  char  szFileName[_MAX_PATH];
  HDROP hDrop  = (HDROP)st.hGlobal;
  int   nCount = DragQueryFile(hDrop,0xFFFFFFFF,szFileName,_MAX_PATH);

  while(nCount--)
    {
    DragQueryFile(hDrop,nCount,szFileName,_MAX_PATH);
    theApp.OpenDocumentFile(szFileName);
    }

  return DROPEFFECT_COPY;
  }
