/**********************************************************************************************************************/
/*                                                GLOBAL ERRORS                                                       */
/* 09/06/00, M : creation of the file                                                                                 */
/**********************************************************************************************************************/

#ifndef   _GLOBAL_ERR_H_
#define   _GLOBAL_ERR_H_

/************************************************ INCLUDE *************************************************************/

#include  "ErrorString.h"

/************************************************ DEFINE **************************************************************/

#define   _GLOB_ERR_                    (_GLOBAL_+0x000000)

enum      GLOB_ERRORS
          {
            // memory

            _GLOBERR_OUTOFMEMORY_       = _GLOB_ERR_,       // new failed

            // file

            _GLOBERR_FOPEN_,                                // fopen  failed (often file not found)
            _GLOBERR_FSEEK_,                                // fseek  failed
            _GLOBERR_FTELL_,                                // ftell  failed
            _GLOBERR_FREAD_,                                // fread  failed
            _GLOBERR_FWRITE_,                               // fwrite failed
            _GLOBERR_ENDOFFILE_,                            // end of file reached
            _GLOBERR_DIRNOTFOUND_,                          // directory not found

            //

            _GLOBERR_BADPARAM_,                             // bad parameter passed to function
            _GLOBERR_PREVIOUS_ERROR_,                       // previous error not cleared
            _GLOBERR_NOTIMPLEMENTED_,                       // unsupported feature
            _GLOBERR_MISSINGDATA_,                          // impossible, some data is missing
            _GLOBERR_BADCHUNK_,                             // not the expected chunk
            _GLOBERR_UNKNOWNCOMPRESSION_,                   // unknown compression method
          };

/**********************************************************************************************************************/

#endif
