/**********************************************************************************************************************/
/*                                                SOUNDTRACK ERRORS                                                   */
/* 10/06/00, M : creation of the file                                                                                 */
/**********************************************************************************************************************/

#ifndef   _SOUNDTRACK_ERR_H_
#define   _SOUNDTRACK_ERR_H_

/************************************************ INCLUDE *************************************************************/

#include  "ErrorString.h"

/************************************************ DEFINE **************************************************************/

#define   _S3M_SNDTRACK_ERR_            (_MYTHOS_+0x020400)           // lib 0x02, file 0x04

enum      S3MSNDTRACK_ERRORS
          {
            // file

            _S3MERR_BADFORMAT_          = _S3M_SNDTRACK_ERR_,         // not a known soundtrack file
            _S3MERR_NOFILELOADED_,                                    // no file in memory

            // variables

            _S3MERR_NOINITDONE_,                                      // inits not     performed
            _S3MERR_INITDONE_,                                        // inits already performed
            _S3MERR_FINISHED_,                                        // end reached & don't repeat
            _S3MERR_PARAMCUR_,                                        // m_lpParamCur  is NULL
            _S3MERR_NOPARAMSONG_,                                     // m_lpParamRoot is NULL
            _S3MERR_BADHANDLE_,                                       // invalid sound handle
            _S3MERR_BADPARAM_,                                        // invalid parameter
          };

/**********************************************************************************************************************/

#endif
