/**********************************************************************************************************************/
/*                                                MIXER CLASS                                                         */
/* 03/10/99, M : creation of the file                                                                                 */
/*               mixes 1 or more soundtracks + individual samples at different qualities                              */
/**********************************************************************************************************************/

#ifndef   _MIXER_INL_
#define   _MIXER_INL_

/************************************************ INCLUDE *************************************************************/

#include  "Mixer.h"
#include  "ParamsMixer.h"

/**********************************************************************************************************************/
/*                                                GET                                                                 */
/**********************************************************************************************************************/

inline BYTE* CMixer::lpbGetDMABuffer()
  {
  return m_lpbDMABuffer;
  }

/**********************************************************************************************************************/
/*                                                SET                                                                 */
/**********************************************************************************************************************/

inline void CMixer::vSetSong(const CSoundTrack* lptrkSong)
  {
  m_lptrkSong = (CSoundTrack*)lptrkSong;
  }

inline void CMixer::vSetPlay(const bool boPlay)
  {
  if(!m_lpParamCur) return;
  m_lpParamCur->m_boPlay = boPlay;
  }

/**********************************************************************************************************************/

#endif
