/**********************************************************************************************************************/
/*                                                MOD sample CLASS                                                    */
/* 16/11/99, M : creation of the file                                                                                 */
/*               handles a MOD sample                                                                                 */
/**********************************************************************************************************************/

#if !defined(AFX_MODSAMPLE_H__CD73DB22_9C38_11D3_9848_DC686F22DD42__INCLUDED_)
#define AFX_MODSAMPLE_H__CD73DB22_9C38_11D3_9848_DC686F22DD42__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif

/************************************************ INCLUDE *************************************************************/

#include  "Sample.h"                                        // base class

/************************************************ DEFINE **************************************************************/

/************************************************ TYPEDEF & STRUCT ****************************************************/

// MOD sample header

#pragma   pack(1)

typedef   struct    {
          char      szSmpName[22];                          // sample name (ASCII)
          WORD      wLength;                                // wave length (number of words => *2)
          BYTE      bFineTune;                              // lower 4 bits = signed finetune
          BYTE      bVolume;                                // default volume
          WORD      wLoopStart;                             // loop start  (number of words => *2)
          WORD      wLoopLen;                               // loop length (number of words => *2)
} MODSMP_HEADER;                                            // 30 bytes

#pragma   pack()

/************************************************ CLASSES *************************************************************/

/**********************************************************************************************************************/
/*                                                ModSample                                                           */
/**********************************************************************************************************************/

class     CModSample : public CSample
  {
// public methods

  public:

    // constructors & destructor

	  CModSample                          (void);
	 ~CModSample                          (void);

    void            vInit               (void);
    void            vClean              (void);

// protected members

  protected:
  };

/************************************************ INLINE **************************************************************/

/**********************************************************************************************************************/

#endif // !defined(AFX_MODSAMPLE_H__CD73DB22_9C38_11D3_9848_DC686F22DD42__INCLUDED_)
