/**********************************************************************************************************************/
/*                                                MIXER PLAYING PARAMETERS                                            */
/* 03/12/99, M : creation of the file                                                                                 */
/*               allows a soundtrack to be mixed more than once at the same time                                      */
/**********************************************************************************************************************/

#include  "stdafx.h"
#include  "ParamsMixer.h"

#include  "Debug.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

/**********************************************************************************************************************/
/*                                                CONSTRUCTORS / DESTRUCTOR                                           */
/**********************************************************************************************************************/

/************************************************ constructors ********************************************************/
// 03/12/99, M
/**********************************************************************************************************************/

CParamsMixer::CParamsMixer()
  {
  _DTRCDEF_("CParamsMixer::CParamsMixer");
  vInit();
  m_lpNext = NULL;
  m_lpPrev = NULL;
  }

/************************************************ destructor **********************************************************/
// 03/12/99, M
/**********************************************************************************************************************/

CParamsMixer::~CParamsMixer()
  {
  _DTRCDEF_("CParamsMixer::~CParamsMixer");
  //vClean();
  }

/************************************************ vInit ***************************************************************/
// initialize members & resources
// 03/12/99, M
// in :
// out:
/**********************************************************************************************************************/

void CParamsMixer::vInit()
  {
  _DTRCDEF_("CParamsMixer::vInit");
  
  m_dwMixSpeed   = 44100;
  m_boMix16b     = true;
  m_boPlay       = false;

  m_lpParamsSong = NULL;
  }

/************************************************ vClean **************************************************************/
// release memory & resources
// 03/12/99, M
// in :
// out:
/**********************************************************************************************************************/

void CParamsMixer::vClean()
  {
  _DTRCDEF_("CParamsMixer::vClean");
  vInit();
  }
