/**********************************************************************************************************************/
/*                                                SMP CLASS                                                           */
/* 03/10/99, M : creation of the file                                                                                 */
/*               handles an SMP sample (S3M format)                                                                   */
/**********************************************************************************************************************/

/************************************************ INCLUDE *************************************************************/

#include  "stdafx.h"
#include  "SMP.h"

#include  "Debug.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

/**********************************************************************************************************************/
/*                                                CONSTRUCTORS / DESTRUCTOR                                           */
/**********************************************************************************************************************/

//*********************************************** constructors ********************************************************/
// 03/10/99, M
/**********************************************************************************************************************/

CSMP::CSMP()
  {
  _DTRCDEF_("CSMP::CSMP");
  vInit();
  }

//*********************************************** destructor **********************************************************/
// 03/10/99, M
/**********************************************************************************************************************/

CSMP::~CSMP()
  {
  _DTRCDEF_("CSMP::~CSMP");
  vClean();
  }

//*********************************************** vInit ***************************************************************/
// initialize members & resources
// 03/10/99, M
// in :
// out:
/**********************************************************************************************************************/

void CSMP::vInit()
  {
  _DTRCDEF_("CSMP::vInit");
  CSample::vInit();
  }

//*********************************************** vClean **************************************************************/
// release memory & resources
// 03/10/99, M
// in :
// out:
/**********************************************************************************************************************/

void CSMP::vClean()
  {
  _DTRCDEF_("CSMP::vClean");
  CSample::vClean();
  }
