/**********************************************************************************************************************/
/*                                                SAMPLE CLASS                                                        */
/* 03/10/99, M : creation of the file                                                                                 */
/*               handles a generic sample (raw format)                                                                */
/**********************************************************************************************************************/

/************************************************ INCLUDE *************************************************************/

#include  "stdafx.h"
#include  "Sample.h"

#include  "Debug.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

/**********************************************************************************************************************/
/*                                                CONSTRUCTORS / DESTRUCTOR                                           */
/**********************************************************************************************************************/

//*********************************************** constructors ********************************************************/
// 03/01/99, M
/**********************************************************************************************************************/

CSample::CSample()
  {
  _DTRCDEF_("CSample::CSample");
  vInit();
  }

//*********************************************** destructor **********************************************************/
// 03/10/99, M
/**********************************************************************************************************************/

CSample::~CSample()
  {
  _DTRCDEF_("CSample::~CSample");
  vClean();
  }

//*********************************************** vInit ***************************************************************/
// initialize members & resources
// 03/10/99, M
// in :
// out:
/**********************************************************************************************************************/

void CSample::vInit()
  {
  _DTRCDEF_("CSample::vInit");
  m_lpvHeader  = NULL;
  m_lpbDataRAM = NULL;
  m_dwC4Speed  = 8363;

  m_dwLength   = 0;
  m_dwRepeat   = 0;
  m_dwRepLen   = 0;

  m_bo16Bits   = false;
  m_bVolume    = 64;
  m_boPingPong = false;                                     // default = forward loop
  }

//*********************************************** vClean **************************************************************/
// release memory & resources
// 03/10/99, M
// in :
// out:
// rem: the header & data are NOT owned by this class
/**********************************************************************************************************************/

void CSample::vClean()
  {
  _DTRCDEF_("CSample::vClean");
  m_lpvHeader  = NULL;
  m_lpbDataRAM = NULL;
  }
